apiVersion: apps/v1
kind: Deployment
metadata:
  name: geocrop-web
  namespace: geocrop
spec:
  replicas: 1
  selector:
    matchLabels:
      app: geocrop-web
  template:
    metadata:
      labels:
        app: geocrop-web
    spec:
      containers:
        - name: web
          image: frankchine/geocrop-web:latest
          ports:
            - containerPort: 80
          imagePullPolicy: Always
---
apiVersion: v1
kind: Service
metadata:
  name: geocrop-web
  namespace: geocrop
spec:
  selector:
    app: geocrop-web
  ports:
    - port: 80
      targetPort: 80
